﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SfAutocompleteSample
{
    #region Mainpage Class

    public partial class MainPage : ContentPage
    {
        #region Constructor

        public MainPage()
        {
            InitializeComponent();         
        }

        #endregion

    }

    #endregion

    public class ViewModel : INotifyPropertyChanged
    {
        public ViewModel()
        {
            Colors = new ObservableCollection<Model>();
            Colors.Add(new Model() { ID = Guid.NewGuid(), Name = "Red" });
            Colors.Add(new Model() { ID = Guid.NewGuid(), Name = "Pink" });
            Colors.Add(new Model() { ID = Guid.NewGuid(), Name = "Orange" });
            Colors.Add(new Model() { ID = Guid.NewGuid(), Name = "Lavendar" });
            Colors.Add(new Model() { ID = Guid.NewGuid(), Name = "Violet" });
            Colors.Add(new Model() { ID = Guid.NewGuid(), Name = "Indigo" });
            Colors.Add(new Model() { ID = Guid.NewGuid(), Name = "White" });
            Colors.Add(new Model() { ID = Guid.NewGuid(), Name = "Green" });
            Colors.Add(new Model() { ID = Guid.NewGuid(), Name = "Blue" });
            Colors.Add(new Model() { ID = Guid.NewGuid(), Name = "Yellow" });
            SelectionObject.Add(Colors[1]);
            SelectionObject.Add(Colors[2]);
            SelectionObject.Add(Colors[3]);
            SelectionObject.Add(Colors[4]);          
        }

        private ObservableCollection<object> selectionobject = new ObservableCollection<object>();
        public ObservableCollection<object> SelectionObject
        {
            get { return selectionobject; }
            set
            {
                selectionobject = value;
                RaisePropertyChanged("SelectionObject");
                RaisePropertyChanged("SelectedValue");
            }
        }

        private ObservableCollection<string> selectedvalue = new ObservableCollection<string>();

        public ObservableCollection<string> SelectedValue
        {
            get
            {
                selectedvalue.Clear();

                foreach (var item in SelectionObject)
                {
                    selectedvalue.Add((item as Model).Name.ToString());
                }

                return selectedvalue;
            }
            set
            {
                selectedvalue = value;

            }
        }


        private ObservableCollection<Model> _colors;
        public ObservableCollection<Model> Colors
        {
            get { return _colors; }
            set
            {
                _colors = value;
                RaisePropertyChanged("Colors");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void RaisePropertyChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }

    public class Model 
    {
        private Guid id;
        public Guid ID
        {
            get { return id; }
            set { id = value; }
        }
        private string name;
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

    }
}